DRM_OBJECT_PROPERTY_(9)

NAME
drm_object_property_get_value - retrieve the value of a property

SYNOPSIS

int drm_object_property_get_value(struct drm_mode_object * obj, struct drm_property * property, uint64_t * val);

ARGUMENTS

obj
    drm mode object to get property value from

property
    property to retrieve

val
    storage for the property value

DESCRIPTION

This function retrieves the softare state of the given property for the given property. Since there is no driver callback to retrieve the current property value this might be out of sync with the hardware, depending upon the driver and property.

RETURNS

Zero on success, error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT